--- title: "Get category status" slug: "vodstation-status-info-list" tags: ["VOD Station"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/vodstation-status-info-list" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get category status Available in Classic and VPC Get details about the encoding status by category. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/status/{fileId} | ### Request headers For information about the headers common to all VOD Station APIs, see [VOD Station request headers](/docs/en/vodstation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `fileId` | String | Required | File ID - See [Use category callback](/docs/en/vodstation-category-callback). - See [Add category file](/docs/en/vodstation-category-addfiles). - `id` of response body (file encoding job ID) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vodstation.apigw.ntruss.com/api/v2/status/1*****4' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Response result | | `categoryId` | Integer | - | Category ID | | `categoryName` | String | - | Category name | | `content.input` | Object | - | Input file information | | `content.input.fileId` | Integer | - | Input file ID | | `content.input.bucketName` | String | - | Name of the bucket where the input file is saved | | `content.input.filePath` | String | - | Detailed bucket path of the input file including the file name | | `content.input.metadata` | Object | - | Input file metadata information | | `content.input.metadata.duration` | Float | - | File playback time (second) - `SS.SS` format | | `content.input.metadata.videoCodec` | String | - | Video codec | | `content.input.metadata.videoBitrate` | Float | - | Video bitrate (Kbps) | | `content.input.metadata.width` | Integer | - | Video width (pixel) | | `content.input.metadata.height` | Integer | - | Video height (pixel) | | `content.input.metadata.framerate` | Float | - | Number of frames per second (fps) | | `content.input.metadata.audioCodec` | String | - | Audio codec | | `content.input.metadata.audioBitrate` | Float | - | Audio bitrate (Kbps) | | `content.input.metadata.audioSamplingRate` | Float | - | Audio sampling rate (Hz) | | `content.input.metadata.audioChannel` | Integer | - | Audio channel | | `content.output` | Array | - | Output file information: [output](/docs/en/vodstation-status-info-list#output) | #### `output` The following describes `output`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `encodingOptionId` | Integer | - | Encoding option ID | | `outputType` | String | - | Output type | | `objectStorageUrl` | String | - | HTTP URL path of the output file including the file name | | `status` | String | - | File encoding status - `COMPLETE` \| `WAITING` \| `RUNNING` \| `FAILURE` - `COMPLETE`: Completed - `WAITING`: Pending - `RUNNING`: In progress - `FAILURE`: Failed | | `percentage` | Float | - | File encoding progress (%) | | `metadata` | Object | - | Output file metadata | | `metadata.duration` | Float | - | File playback time (second) - `SS.SS` format | | `metadata.videoCodec` | String | - | Video codec | | `metadata.videoPass` | String | - | Video pass | | `metadata.videoBitrate` | Float | - | Video bitrate (Kbps) | | `metadata.width` | Integer | - | Video width (pixel) | | `metadata.height` | Integer | - | Video height (pixel) | | `metadata.framerate` | Float | - | Number of frames per second (fps) | | `metadata.audioCodec` | String | - | Audio codec | | `metadata.audioBitrate` | Float | - | Audio bitrate (Kbps) | | `metadata.audioSamplingRate` | Float | - | Audio sampling rate (Hz) | | `metadata.audioChannel` | Integer | - | Audio channel | ### Response status codes For information about the HTTP status codes common to all VOD Station APIs, see [VOD Station response status codes](/docs/en/vodstation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "categoryId": *****, "categoryName": "VOD-Callback", "input": { "fileId": 1*****4, "metadata": { "duration": 8.043, "videoCodec": "AVC", "videoBitrate": 2667520.0, "width": 1280, "height": 720, "framerate": 24.0, "audioCodec": "AAC", "audioBitrate": 143360.0, "audioSamplingRate": 48000.0, "audioChannel": 2 } }, "output": [ { "encodingOptionId": 1, "outputType": "AVC_SD_1Pass_30fps", "objectStorageUrl": "https://kr.object.ncloudstorage.com/station-000/VOD-Callback/VODStation_AVC_SD_1Pass_30fps.mp4", "status": "COMPLETE", "percentage": 100.0, "metadata": { "duration": 8.047, "videoCodec": "avc1", "videoPass": "ONE_PASS", "videoBitrate": 478208.0, "width": 480, "height": 270, "framerate": 24.0, "audioCodec": "AAC LC", "audioBitrate": 132096.0, "audioSamplingRate": 44100.0, "audioChannel": 2 } }, { "encodingOptionId": 2, "outputType": "AVC_SD_1Pass_30fps_1", "objectStorageUrl": "https://kr.object.ncloudstorage.com/station-000/VOD-Callback/VODStation_AVC_SD_1Pass_30fps_1.mp4", "status": "COMPLETE", "percentage": 100.0, "metadata": { "duration": 8.047, "videoCodec": "avc1", "videoPass": "ONE_PASS", "videoBitrate": 872448.0, "width": 854, "height": 480, "framerate": 24.0, "audioCodec": "AAC LC", "audioBitrate": 132096.0, "audioSamplingRate": 44100.0, "audioChannel": 2 } }, { "encodingOptionId": 3, "outputType": "AVC_HD_1Pass_30fps", "objectStorageUrl": "https://kr.object.ncloudstorage.com/station-000/VOD-Callback/VODStation_AVC_HD_1Pass_30fps.mp4", "status": "COMPLETE", "percentage": 100.0, "metadata": { "duration": 8.047, "videoCodec": "avc1", "videoPass": "ONE_PASS", "videoBitrate": 1737728.0, "width": 1280, "height": 720, "framerate": 24.0, "audioCodec": "AAC LC", "audioBitrate": 132096.0, "audioSamplingRate": 44100.0, "audioChannel": 2 } } ] } } ```